%{!?svn_rev:%define svn_rev 0}

Summary: ADCM - Multichannel digitizer control program
Name: adcm
Version: 1.3
License: GPL
Group: System Environment/Base
URL: http://afi.jinr.ru/ADCM
Source0: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Release: 1.%{svn_rev}%{?dist}

BuildRequires: fftw-devel >= 3.2.1

Requires: kmod-pexml >= 1.33
BuildRequires: qt4-devel >= 4.6

%description
ADCM is a control program for multichannel digitizer boards (ADCM-16, ADCM-LTC, etc.)
The software is capable of online signal reconstruction: it calculates signal time and amplitude
from raw adc data.

#%package devel
#Summary: ADCM data file structures
#Group: Development/Libraries
#Requires: mlink-devel
#
#%description devel
#Header files describing adcm data file structures

%prep
%setup -q

%build
make all svn_rev=%{svn_rev} PREFIX=%{_prefix}

%install
rm -rf $RPM_BUILD_ROOT
make install INSTALL_ROOT=%{buildroot}

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{_bindir}/*
%doc ChangeLog COPYING README

#%files devel
#%defattr(-,root,root,-)
#%{_includedir}/*.h

%changelog

* Thu Feb 13 2014  <Filippov Ivan>
- changed build dependency: kmod-pexml

* Tue Mar 22 2011  <Ilja.Slepnev@jinr.ru>
- Version 1.3
- Updated spec: build with Qt 4

* Tue Mar 15 2011  <Ilja.Slepnev@jinr.ru>
- removed build dependency on qwt-qt3-devel, mlink-devel packages
- disabled devel package (see docs on site)
- updated project URL

* Fri Feb  5 2010  <Ilja.Slepnev@jinr.ru>
- Version 1.2.1: support for 2xADCM16-LTC
- bugs fixed

* Thu Dec 11 2008  <Ilja.Slepnev@jinr.ru> - 
- Refactored: run control, code cleanup
- Link down handler

* Tue Nov 18 2008  <Ilja.Slepnev@jinr.ru> - 
- Initial build.

